set progpath=i:\tl2010\fortrancode\basemodel\release
set path=%path%;%progpath%

::i:
::cd \tl2010\fortrancode\basemodel\strdynamic\

set branch=..\..\strdynamic\

copy %branch%instruction.txt %branch%instruction.bak

copy .\instruction.txt %branch%instruction.txt
echo %branch% >path.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_baseline.txt

sed "/parain%%welast/ c\parain%%welast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_welast.txt

sed "/parain%%jelast/ c\parain%%jelast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_jelast.txt

sed "/parain%%unempelast/ c\parain%%unempelast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_unempelast.txt

sed "/parain%%welasttmp/ c\parain%%welasttmp=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_welasttmp.txt

sed "/parain%%jelasttmp/ c\parain%%jelasttmp=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_jelasttmp.txt



copy %branch%instruction.bak %branch%instruction.txt 

del elast.txt
echo permanent change, average outcome (baseline, wage, job offer, unemployment rate): >>.\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_jelast.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_unempelast.txt >> .\elast.txt

sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_jelast.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_unempelast.txt >> .\elast.txt

echo temporary change, average outcome (baseline, wage, job offer): >>.\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_welasttmp.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_jelasttmp.txt >> .\elast.txt

echo permanent change, instant outcome (baseline, wage, job offer): >>.\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_baseline.txt | sed "$!d" >> .\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_welast.txt | sed "$!d" >> .\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_jelast.txt | sed "$!d" >> .\elast.txt

echo temporary change, instant outcome (baseline, wage, job offer): >>.\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_baseline.txt | sed "$!d" >> .\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_welasttmp.txt | sed "$!d" >> .\elast.txt
sed -n "/^ Participation rates by wave:/ !d;N;p" .\sumstat_jelasttmp.txt | sed "$!d" >> .\elast.txt


pause