set progpath=i:\tl2010\fortrancode\basemodel\release
set path=%path%;%progpath%

::i:
::cd \tl2010\fortrancode\basemodel\strdynamic\

:: full model, original estimates
set branch=..\..\strdynamic\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-all1.txt %branch%parainit.txt
echo %branch% >path.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat-fig2-1.txt
copy %branch%parainit.bak %branch%parainit.txt 

:: full model, set time dummie estimates to zero
set branch=..\..\strdynamic\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-all2.txt %branch%parainit.txt
echo %branch% | basemodel
copy %branch%sumstat.txt .\sumstat-fig2-2.txt
copy %branch%parainit.bak %branch%parainit.txt 

:: 9293 model, original estimates (time dummies 0)
set branch=..\..\strdynamic9293\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-p9231.txt %branch%parainit.txt
echo %branch% | basemodel
copy %branch%sumstat.txt .\sumstat-fig2-3.txt
copy %branch%parainit.bak %branch%parainit.txt 

:: 9293 model, 96 estimates (time dummies 0)
set branch=..\..\strdynamic9293\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-p9232.txt %branch%parainit.txt
echo %branch% | basemodel
copy %branch%sumstat.txt .\sumstat-fig2-4.txt
copy %branch%parainit.bak %branch%parainit.txt 

:: 96 model, original estimates (time dummies 0)
set branch=..\..\strdynamic96\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-p961.txt %branch%parainit.txt
echo %branch% | basemodel
copy %branch%sumstat.txt .\sumstat-fig2-5.txt
copy %branch%parainit.bak %branch%parainit.txt 

:: 96 model, 9293 estimates (time dummies 0)
set branch=..\..\strdynamic96\
copy %branch%parainit.txt %branch%parainit.bak
copy .\parainit-fig2-p962.txt %branch%parainit.txt
echo %branch% | basemodel
copy %branch%sumstat.txt .\sumstat-fig2-6.txt
copy %branch%parainit.bak %branch%parainit.txt 

pause