set progpath=i:\tl2010\fortrancode\basemodel\release
set path=%path%;%progpath%

::Cross sectional model 1

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
set branch=..\..\cs92\

copy %branch%instruction.txt %branch%instruction.bak
copy %branch%instruction.txt .\instruction.txt

copy .\instruction.txt %branch%instruction.txt
echo %branch% >path.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_baseline.txt

sed "/parain%%welast/ c\parain%%welast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_welast.txt

sed "/parain%%jelast/ c\parain%%jelast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_jelast.txt

del elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_jelast.txt >> .\elast.txt

sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_jelast.txt >> .\elast.txt

copy %branch%instruction.bak %branch%instruction.txt 

del elast_1.txt
rename elast.txt elast_1.txt

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Cross sectional model 2 (job offer prob=1)

set branch=..\..\cs92nj\

copy %branch%instruction.txt %branch%instruction.bak
copy %branch%instruction.txt .\instruction.txt

copy .\instruction.txt %branch%instruction.txt
echo %branch% >path.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_baseline.txt

sed "/parain%%welast/ c\parain%%welast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_welast.txt

sed "/parain%%jelast/ c\parain%%jelast=1" instruction.txt > %branch%instruction.txt
basemodel < path.txt
copy %branch%sumstat.txt .\sumstat_jelast.txt

del elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Outcomes (parti rates, earnings, utility, 4 benefits:/ !d;N;N;N;N;p" .\sumstat_jelast.txt >> .\elast.txt

sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_baseline.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_welast.txt >> .\elast.txt
sed -n "/ Mean work, welfare and fs pref/ !d;N;p" .\sumstat_jelast.txt >> .\elast.txt

copy %branch%instruction.bak %branch%instruction.txt 

del elast_2.txt
rename elast.txt elast_2.txt

pause